Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01049 Misc. Minor Unable to reproduce Feb 8, 2008, 18:56 Oct 4, 2009, 11:52
Tester Haze View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver system1.cpp
Version 0.108u4 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 01049: shtngmst: Protection problems still exist after the first level.
Description Protection problems still exist after the first level, also the video is currently a messy hack (was being used while the protection emulation and sprite were sorted out).
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems shtngmst
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.00283
Haze
Senior Tester
Mar 20, 2008, 08:45
the MCU behavior on this is rather subtle, waiting for seemingly random addresses in main ram to change, before setting other addresses with non-obvious checks in the main code etc.

ideally needs the mcu de-protecting and reading (it's probably eeprom based, not mask rom)
User avatar
No.04328
Haze
Senior Tester
May 6, 2009, 11:38
edited on: May 6, 2009, 11:38
the MCU on this has now been decapped / dumped. I imagine it will be 'resolved' soon.
User avatar
No.04998
Haze
Senior Tester
Oct 4, 2009, 11:52
the MCU dump was added a while back, I assume this is fine now.